<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="16097" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="16087"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="SFProText-Regular.otf">
            <string>SFProText-Regular</string>
        </array>
        <array key="SFProText-Semibold.otf">
            <string>SFProText-Semibold</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="PostCommentCell" rowHeight="80" id="LWz-6C-v43" customClass="PostCommentCell" customModule="ItunesMovie" customModuleProvider="target">
            <rect key="frame" x="0.0" y="0.0" width="452" height="80"/>
            <autoresizingMask key="autoresizingMask"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="LWz-6C-v43" id="5bR-0R-2po">
                <rect key="frame" x="0.0" y="0.0" width="452" height="80"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <stackView opaque="NO" contentMode="scaleToFill" alignment="top" translatesAutoresizingMaskIntoConstraints="NO" id="seg-Lg-tr5">
                        <rect key="frame" x="16" y="0.0" width="430" height="80"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="profilePicPlaceholder" translatesAutoresizingMaskIntoConstraints="NO" id="Ns9-Ci-K9Z" customClass="ImageView" customModule="ItunesMovie" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="0.0" width="40" height="40"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="40" id="V3t-FV-04N"/>
                                    <constraint firstAttribute="width" secondItem="Ns9-Ci-K9Z" secondAttribute="height" multiplier="1:1" id="hJT-gK-nPe"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                        <real key="value" value="20"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </imageView>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="z3F-tJ-O19" userLabel="FixedSpace">
                                <rect key="frame" x="40" y="0.0" width="8" height="74"/>
                                <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="8" id="EpQ-Ou-73k"/>
                                </constraints>
                            </view>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="2" translatesAutoresizingMaskIntoConstraints="NO" id="HUP-1c-s2X">
                                <rect key="frame" x="48" y="0.0" width="342" height="80"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="43t-Ie-6Fs">
                                        <rect key="frame" x="0.0" y="0.0" width="342" height="20"/>
                                        <subviews>
                                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="1000" verticalCompressionResistancePriority="1000" text="Full Name" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsLetterSpacingToFitWidth="YES" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="O5Z-xk-Nqc">
                                                <rect key="frame" x="0.0" y="0.0" width="77" height="20"/>
                                                <fontDescription key="fontDescription" name="SFProText-Semibold" family="SF Pro Text" pointSize="17"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                                </userDefinedRuntimeAttributes>
                                            </label>
                                            <label opaque="NO" userInteractionEnabled="NO" alpha="0.59999999999999998" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="yesterday" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="LBS-XZ-0xa">
                                                <rect key="frame" x="83" y="5.5" width="48" height="13"/>
                                                <fontDescription key="fontDescription" name="SFProText-Regular" family="SF Pro Text" pointSize="11"/>
                                                <nil key="textColor"/>
                                                <nil key="highlightedColor"/>
                                                <userDefinedRuntimeAttributes>
                                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                                </userDefinedRuntimeAttributes>
                                            </label>
                                        </subviews>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                                        <constraints>
                                            <constraint firstItem="O5Z-xk-Nqc" firstAttribute="top" secondItem="43t-Ie-6Fs" secondAttribute="top" id="M7D-jI-y1b"/>
                                            <constraint firstItem="LBS-XZ-0xa" firstAttribute="leading" secondItem="O5Z-xk-Nqc" secondAttribute="trailing" constant="6" id="TGA-cF-6iL"/>
                                            <constraint firstItem="O5Z-xk-Nqc" firstAttribute="leading" secondItem="43t-Ie-6Fs" secondAttribute="leading" id="Zn0-jI-nXG"/>
                                            <constraint firstAttribute="bottom" secondItem="O5Z-xk-Nqc" secondAttribute="bottom" id="dNR-Tb-OXA"/>
                                            <constraint firstItem="LBS-XZ-0xa" firstAttribute="firstBaseline" secondItem="O5Z-xk-Nqc" secondAttribute="firstBaseline" id="gKd-8x-KAq"/>
                                        </constraints>
                                    </view>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Comment body" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="XTe-Nv-jhP">
                                        <rect key="frame" x="0.0" y="22" width="342" height="4"/>
                                        <fontDescription key="fontDescription" name="SFProText-Regular" family="SF Pro Text" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                        <userDefinedRuntimeAttributes>
                                            <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                        </userDefinedRuntimeAttributes>
                                    </label>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="ClY-1g-kiE">
                                        <rect key="frame" x="0.0" y="28" width="342" height="30"/>
                                        <subviews>
                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="KaM-2D-T2y">
                                                <rect key="frame" x="0.0" y="4" width="40" height="22"/>
                                                <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="15"/>
                                                <state key="normal" title="Reply">
                                                    <color key="titleColor" name="Blue_2C66D5"/>
                                                </state>
                                                <connections>
                                                    <action selector="replyButtonTapped:" destination="LWz-6C-v43" eventType="touchUpInside" id="TIp-2Q-WHq"/>
                                                </connections>
                                            </button>
                                        </subviews>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor" cocoaTouchSystemColor="whiteColor"/>
                                        <constraints>
                                            <constraint firstAttribute="bottom" secondItem="KaM-2D-T2y" secondAttribute="bottom" constant="4" id="9lE-Aw-jOR"/>
                                            <constraint firstItem="KaM-2D-T2y" firstAttribute="leading" secondItem="ClY-1g-kiE" secondAttribute="leading" id="GH1-hc-q2R"/>
                                            <constraint firstAttribute="height" constant="30" id="pbw-rx-QLA"/>
                                            <constraint firstItem="KaM-2D-T2y" firstAttribute="top" secondItem="ClY-1g-kiE" secondAttribute="top" constant="4" id="tJt-oq-t2U"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="vCv-Jl-weU" userLabel="FixedSpace">
                                        <rect key="frame" x="0.0" y="60" width="342" height="20"/>
                                        <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="20" id="rYH-6t-2Vp"/>
                                        </constraints>
                                    </view>
                                </subviews>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="YES"/>
                                </userDefinedRuntimeAttributes>
                            </stackView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="8mW-nb-jxh">
                                <rect key="frame" x="390" y="0.0" width="40" height="24"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="40" id="nHn-Uv-CWX"/>
                                </constraints>
                                <state key="normal" image="option"/>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="boolean" keyPath="isSkeletonable" value="NO"/>
                                </userDefinedRuntimeAttributes>
                                <connections>
                                    <action selector="optionButtonTapped:" destination="LWz-6C-v43" eventType="touchUpInside" id="RKP-5m-g0g"/>
                                </connections>
                            </button>
                        </subviews>
                    </stackView>
                </subviews>
                <constraints>
                    <constraint firstItem="seg-Lg-tr5" firstAttribute="top" secondItem="5bR-0R-2po" secondAttribute="top" id="7BQ-Kl-inM"/>
                    <constraint firstAttribute="trailing" secondItem="seg-Lg-tr5" secondAttribute="trailing" constant="6" id="8x3-3Q-mVg"/>
                    <constraint firstAttribute="bottom" secondItem="seg-Lg-tr5" secondAttribute="bottom" id="TW8-3Y-u7F"/>
                    <constraint firstItem="seg-Lg-tr5" firstAttribute="leading" secondItem="5bR-0R-2po" secondAttribute="leading" constant="16" id="jPI-t8-afF"/>
                </constraints>
            </tableViewCellContentView>
            <connections>
                <outlet property="authorImage" destination="Ns9-Ci-K9Z" id="frL-t7-QaD"/>
                <outlet property="authorImageWidthConstraint" destination="V3t-FV-04N" id="2i5-M1-Jdf"/>
                <outlet property="authorNameLabel" destination="O5Z-xk-Nqc" id="GDh-mV-wRM"/>
                <outlet property="commentBodyLabel" destination="XTe-Nv-jhP" id="2Fm-NC-8jE"/>
                <outlet property="datePostedLabel" destination="LBS-XZ-0xa" id="PGW-JV-jiX"/>
                <outlet property="mainStackViewLeadingConstraint" destination="jPI-t8-afF" id="nUS-bf-pQ4"/>
                <outlet property="optionButton" destination="8mW-nb-jxh" id="TrE-eJ-5Bb"/>
                <outlet property="replyButtonContainer" destination="ClY-1g-kiE" id="kBP-IR-YhT"/>
            </connections>
            <point key="canvasLocation" x="105.59999999999999" y="-309.44527736131937"/>
        </tableViewCell>
    </objects>
    <resources>
        <image name="option" width="24" height="24"/>
        <image name="profilePicPlaceholder" width="136" height="136"/>
        <namedColor name="Blue_2C66D5">
            <color red="0.17299999296665192" green="0.40000000596046448" blue="0.83499997854232788" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
    </resources>
</document>
